<?php
/**
 * Adore Themes Customizer
 *
 * @package News Articles
 *
 * Banner Section
 */

$wp_customize->add_section(
	'news_articles_banner_section',
	array(
		'title'    => esc_html__( 'Banner Section', 'news-articles' ),
		'panel'    => 'news_articles_frontpage_panel',
		'priority' => 20,
	)
);

// Banner enable setting.
$wp_customize->add_setting(
	'news_articles_banner_section_enable',
	array(
		'default'           => false,
		'sanitize_callback' => 'news_articles_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new News_Articles_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'news_articles_banner_section_enable',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'news-articles' ),
			'type'     => 'checkbox',
			'settings' => 'news_articles_banner_section_enable',
			'section'  => 'news_articles_banner_section',
			'priority' => 10,
		)
	)
);

// Banner Section Sub Heading.
$wp_customize->add_setting(
	'news_articles_banner_section_sub_heading',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new News_Articles_Sub_Section_Heading_Custom_Control(
		$wp_customize,
		'news_articles_banner_section_sub_heading',
		array(
			'label'           => esc_html__( 'Banner Slider Section', 'news-articles' ),
			'settings'        => 'news_articles_banner_section_sub_heading',
			'section'         => 'news_articles_banner_section',
			'active_callback' => 'news_articles_if_banner_enabled',
			'priority'        => 20,
		)
	)
);

// banner slider content type settings.
$wp_customize->add_setting(
	'news_articles_banner_slider_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'news_articles_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_articles_banner_slider_content_type',
	array(
		'label'           => esc_html__( 'Banner Slider Content type:', 'news-articles' ),
		'description'     => esc_html__( 'Choose where you want to render the content from.', 'news-articles' ),
		'section'         => 'news_articles_banner_section',
		'type'            => 'select',
		'active_callback' => 'news_articles_if_banner_enabled',
		'priority'        => 30,
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'news-articles' ),
			'category' => esc_html__( 'Category', 'news-articles' ),
		),
	)
);

for ( $i = 1; $i <= 3; $i++ ) {
	// banner post setting.
	$wp_customize->add_setting(
		'news_articles_banner_slider_post_' . $i,
		array(
			'sanitize_callback' => 'news_articles_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'news_articles_banner_slider_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Post %d', 'news-articles' ), $i ),
			'section'         => 'news_articles_banner_section',
			'type'            => 'select',
			'choices'         => news_articles_get_post_choices(),
			'active_callback' => 'news_articles_banner_section_content_type_post_enabled',
			'priority'        => 40,
		)
	);

}

// banner category setting.
$wp_customize->add_setting(
	'news_articles_banner_slider_category',
	array(
		'sanitize_callback' => 'news_articles_sanitize_select',
	)
);

$wp_customize->add_control(
	'news_articles_banner_slider_category',
	array(
		'label'           => esc_html__( 'Category', 'news-articles' ),
		'section'         => 'news_articles_banner_section',
		'type'            => 'select',
		'choices'         => news_articles_get_post_cat_choices(),
		'active_callback' => 'news_articles_banner_section_content_type_category_enabled',
		'priority'        => 50,
	)
);

// Posts Tab Sub Heading.
$wp_customize->add_setting(
	'news_articles_posts_tab_sub_heading',
	array(
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	new News_Articles_Sub_Section_Heading_Custom_Control(
		$wp_customize,
		'news_articles_posts_tab_sub_heading',
		array(
			'label'           => esc_html__( 'Posts Tab Section', 'news-articles' ),
			'settings'        => 'news_articles_posts_tab_sub_heading',
			'section'         => 'news_articles_banner_section',
			'active_callback' => 'news_articles_if_banner_enabled',
			'priority'        => 60,
		)
	)
);

// Random News Tab Enable.
$wp_customize->add_setting(
	'news_articles_random_news_tab_enable',
	array(
		'default'           => true,
		'sanitize_callback' => 'news_articles_sanitize_checkbox',
	)
);

$wp_customize->add_control(
	new News_Articles_Toggle_Checkbox_Custom_control(
		$wp_customize,
		'news_articles_random_news_tab_enable',
		array(
			'label'           => esc_html__( 'Enable Random News Tab', 'news-articles' ),
			'type'            => 'checkbox',
			'settings'        => 'news_articles_random_news_tab_enable',
			'section'         => 'news_articles_banner_section',
			'active_callback' => 'news_articles_if_banner_enabled',
			'priority'        => 70,
		)
	)
);

/*========================Active Callback==============================*/
function news_articles_if_banner_enabled( $control ) {
	return $control->manager->get_setting( 'news_articles_banner_section_enable' )->value();
}
// banner slider
function news_articles_banner_section_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'news_articles_banner_slider_content_type' )->value();
	return news_articles_if_banner_enabled( $control ) && ( 'post' === $content_type );
}
function news_articles_banner_section_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'news_articles_banner_slider_content_type' )->value();
	return news_articles_if_banner_enabled( $control ) && ( 'category' === $content_type );
}
